{% extends 'base.html' %}
{% block content %}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="card">
            <div class="header">
                <h2>Generación de informes</h2>
                <ul class="header-dropdown m-r--5">
                    <li class="dropdown">
                        <a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <i class="material-icons">more_vert</i>
                        </a>
                        <ul class="dropdown-menu pull-right">
                            <li><a href="javascript:void(0);">Action</a></li>
                            <li><a href="javascript:void(0);">Another action</a></li>
                            <li><a href="javascript:void(0);">Something else here</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
            <div class="body">
                <form id="wizard_with_validation" method="POST" action=".">
                    {% csrf_token %}
                    <h3>Selección de estanque</h3>
                    <fieldset>
                        {% for p in ponds %}
                            <div class="col-md-12">
                                <input type="radio" class="with-gap" id="ig_radio_{{d.pk}}" name="pond" value="{{p.pk}}">
                                <label for="ig_radio_{{d.pk}}">{{p.name}}</label>
                            </div>
                        {% endfor %}
                    </fieldset>

                    <h3>Selección de dispositivo</h3>
                    <fieldset>
                        {% for d in devices %}
                            <div class="col-md-12">
                                <input type="radio" class="with-gap" id="ig_radio_{{d.pk}}" name="device" value="{{d.pk}}">
                                <label for="ig_radio_{{d.pk}}">{{d.name}} ({{d.parameter.get_measurement_type_display}})</label>
                            </div>
                        {% endfor %}
                    </fieldset>

                    <h3>Rango de fechas</h3>
                    <fieldset>
                        <div class="col-sm-6">
                            <input type="date" name="start_date" placeholder="Selecciona una fecha de inicio...">
                            <label>Fecha de inicio</label>
                        </div>
                        <div class="col-sm-6">
                            <input type="date" name="end_date" placeholder="Selecciona una fecha de fin...">
                            <label>Fecha de fin</label>
                        </div>
                    </fieldset>
                </form>
            </div>
        </div>
    </div>
</div>
{% endblock %}